Naar inhoud springen

Seedance 2.0 Mini Text to Video

Integreren

Model-ID bytedance/seedance-2.0/mini/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedance-2.0/mini/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Deze request: $ 2,321 2.321 API-tegoed Op deze pagina uitvoeren

API-sleutel ophalen
ByteDance Tekst naar video Native audioLipsync4–15 stot 720p #stylized#transform

Mini Seedance 2.0 voor tekst-naar-video in 480p of 720p met optionele gesynchroniseerde audio

Gemaakt op Doitong

Openbare werken gemaakt met Seedance 2.0 door de Doitong-community. Gebruik een prompt opnieuw met één klik.

Getoonde openbare werken: 16
Subject: Man in a bunny suit, frozen city crowd Context: Urban street, all people, vehicles, and ... Video

Subject: Man in a bunny suit, frozen city crowd Context: Urban street, all people, vehicles, and trees are frozen mid-action Action: Only the bunny-suited man moves, walking and waving in front of an unresponsive man in a black suit Style: Cinematic, intense stillness, Quicksilver/X-Men, Matrix...

This is a cinematic scene filmed with a hand-held shaky camera. The entire world is completely fr... Video

This is a cinematic scene filmed with a hand-held shaky camera. The entire world is completely frozen in time. Nothing moves. Absolutely nothing. All people are frozen, cars are frozen, bicycles are frozen, traffic lights are frozen, trees and leaves are frozen, wind is frozen, shadows are...

A close-up portrait of a striking cyberpunk woman with sleek dark hair partially wet and falling ... Video

A close-up portrait of a striking cyberpunk woman with sleek dark hair partially wet and falling around her face. She’s wearing glossy, high-tech neon visor goggles with a vivid color gradient — bright yellow, orange, and pink reflecting glowing city lights. Her expression is confident and...

Ultra-realistic scene featuring miniature construction workers in orange vests and hard hats, act... Video

Ultra-realistic scene featuring miniature construction workers in orange vests and hard hats, actively working on a giant [pizza]. The tiny workers are using small tools, cranes, and machines to [assemble]. The [pizza] is placed on a metal surface or kitchen countertop. Steam or particles rise...

Аня вздрагивает от трезвона десяти будильников, резко садится в кровати, хлопает по ним руками в ... Video

Аня вздрагивает от трезвона десяти будильников, резко садится в кровати, хлопает по ним руками в попытке выключить, но они продолжают пищать, она в панике оглядывается. Камера медленно приближается с низкого угла от ног кровати к лицу, создавая ощущение нарастания хаоса. Лучи утреннего солнца...

Анна мягко гладит спящую собаку и смотрит на заходящее солнце с усталой, но счастливой улыбкой. К... Video

Анна мягко гладит спящую собаку и смотрит на заходящее солнце с усталой, но счастливой улыбкой. Камера медленно отъезжает назад, охватывая весь уютный дом и сад. Свет солнца постепенно затухает, переходя в сумерки. Финальный кадр передает чувство семейного тепла и завершенности прекрасного дня....

Аня падает на корточки у двери, лихорадочно надевает разные носки, роняет помаду из сумки, вскаки... Video

Аня падает на корточки у двери, лихорадочно надевает разные носки, роняет помаду из сумки, вскакивает, хватает ключи. Камера кружит вокруг нее на 180 градусов на уровне колен, ускоряясь. Ключи звенят, сумка болтается. Эмоциональный бит — пик хаоса с ноткой абсурдного юмора. Dialogue in this...

Буня несется во весь опор, виляя хвостом, сосиска забавно болтается у него в пасти. Камера быстро... Video

Буня несется во весь опор, виляя хвостом, сосиска забавно болтается у него в пасти. Камера быстро следует за ним на уровне земли, создавая эффект скорости. Анна и дети вбегают в кадр и выбегают из него, размахивая руками. Пыль слегка поднимается из-под лап. Сцена наполнена комичным драйвом и...

Een aanvraag samenstellen

Besturingselementen worden gegenereerd op basis van het modelschema. De code en de prijs worden bijgewerkt terwijl je ze wijzigt.

•verplicht

Tekstprompt die de videogeneratie aanstuurt.

duration auto

Selectie van videolengte: `auto` laat de keuze op basis van de prompt aan het model over, terwijl een expliciete duur tussen 4 en 15 seconden moet liggen.

resolution standaard 720p

Uitvoerresolutie: 480p geeft prioriteit aan generatiesnelheid, terwijl 720p een evenwichtige keuze biedt.

aspect_ratio standaard auto

Beeldverhouding van de uitvoer: 16:9 geeft liggend, 9:16 geeft staand/verticaal, 1:1 geeft vierkant en 21:9 geeft cinematografisch ultrabreed. Selecteer `auto` om het model de verhouding te laten kiezen.

Geavanceerd codec · end_user_id
codec standaard auto

Selectie van videocodec: `auto` laat het standaardcodecgedrag ongewijzigd, `H264` selecteert H.264 en `H265` selecteert H.265.

Unieke identificatie die aan de eindgebruiker is toegewezen.

POST /run/bytedance/seedance-2.0/mini/text-to-video?wait=20 prijsopgave → $ 2,321
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/bytedance/seedance-2.0/mini/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Deze request uitvoeren

Je sleutel blijft in deze browser: hij wordt alleen naar de Doitong API verzonden en alleen in localStorage opgeslagen als je Onthouden aanvinkt. API-sleutel ophalen

Over Seedance 2.0 Mini Text to Video

Maakt videoclips uitsluitend uit een tekstprompt. De resolutie is 480p of 720p, de duur auto of 4 tot 15 seconden en de beeldverhouding loopt van 21:9 tot 9:16 of auto. Audio met effecten en spraak wordt standaard geproduceerd en kan met `generate_audio` worden uitgeschakeld. De codec kan H264 of H265 zijn.

Parameters

NaamType StandaardToegestaan Beschrijving
promptverplicht
Typestring
Tekstprompt die de videogeneratie aanstuurt.
resolutionoptioneel
Typeenum
Standaard720p
480p720p
Uitvoerresolutie: 480p geeft prioriteit aan generatiesnelheid, terwijl 720p een evenwichtige keuze biedt.
durationoptioneel
Typeenum
Standaardauto
auto456789101112131415
Selectie van videolengte: `auto` laat de keuze op basis van de prompt aan het model over, terwijl een expliciete duur tussen 4 en 15 seconden moet liggen.
aspect_ratiooptioneel
Typeenum
Standaardauto
auto21:916:94:31:13:49:16
Beeldverhouding van de uitvoer: 16:9 geeft liggend, 9:16 geeft staand/verticaal, 1:1 geeft vierkant en 21:9 geeft cinematografisch ultrabreed. Selecteer `auto` om het model de verhouding te laten kiezen.
generate_audiooptioneel
Typeboolean
Standaardtrue
Schakel dit in om de video van gesynchroniseerde audio te voorzien. Gegenereerde audio bevat spraak die op lipbewegingen is afgestemd, omgevingsgeluid en geluidseffecten.
codecoptioneel
Typeenum
Standaardauto
autoH264H265
Selectie van videocodec: `auto` laat het standaardcodecgedrag ongewijzigd, `H264` selecteert H.264 en `H265` selecteert H.265.
end_user_idoptioneel
Typestring | null
Unieke identificatie die aan de eindgebruiker is toegewezen.
verplicht

Uitvoer

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "bytedance/seedance-2.0/mini/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 2321,
    "usd": "2.321",
    "charged": 2321,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    },
    "seed": 42
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Jouw bestanden, jouw keuzeElke outputs[].url is een kopie in onze opslag: voor altijd bewaard (betaald per GB-maand) of 7 dagen gratis, volgens je accountinstelling of ?storage=.
Dezelfde structuur voor elk modeltype, url, content_type, width, height en duration, voor afbeeldingen, video en audio. output is het eigen resultaatobject van het model.
Velden van de uitvoer
video
object {url, content_type, file_name, file_size}Videobestand dat door de generatie is geproduceerd.
seed
integerSeedwaarde die tijdens de generatie wordt toegepast.

Meer modellen: Tekst naar video

Voor AI-agents: deze pagina als Markdown staat op https://doitong.com/nl/developers/models/bytedance/seedance-2.0/mini/text-to-video.md. Alle modellen en handleidingen: https://doitong.com/developers/llms.txt